Seafile server 7.1.0 is ready for testing! Migrate to Python 3

Hello,

Is there any working being done on the sqlite3 script to fix the clear issues present?

Any news about your CDN issue? Or an alternative mirror…

The link in the download page has been updated now.

2 Likes

The pro version of 7.1.0 is still missing? Is 7.1.0 required for centOS 8 or can I use a lower version?

A new minor version will be marked as beta for about 2 weeks. When no important bugs are found, we will remove the beta mark and consider it as production ready.

A new minor version of pro edition will be released after the corresponding community edition is production ready. And it will be marked as beta for 2 weeks. It will be tested on our online server seacloud.cc. When no important bugs are found, we will remove the beta mark and consider it as production ready.

source: https://www.seafile.com/en/roadmap/

1 Like

I am also receiving:

!!!
!!! WARNING: configuration file should have a valid Python extension.
!!!

I’m not using the upgrade script, I have done a fully fresh install of 7.1.0 using the beta download on the downloads page.

Anyway, similarly to @rickenwing I tried making some edits, specifically to seahub.sh - changed the config file name from gunicorn.conf to gunicorn.conf.py (and copied the actual config file to that filename as well) - the error went away and I did not get the same error that rickenwing got afterwards.

Hub still would not start but it didn’t give me any info besides:

Error:Seahub failed to start.
Please try to run “./seahub.sh start” again

No further details.

I am doing this with the SQLITE3 version.

I’ve tried to starts with ./seagub.sh start-fastcgi

and have some info

Traceback (most recent call last):
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/seahub/avatar/models.py”, line 23, in
from PIL import Image
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/PIL/Image.py”, line 90, in
from . import _imaging as core
ImportError: cannot import name ‘_imaging’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/manage.py”, line 10, in
execute_from_command_line(sys.argv)
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/django/core/management/init.py”, line 364, in execute_from_command_line
utility.execute()
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/django/core/management/init.py”, line 338, in execute
django.setup()
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/django/init.py”, line 27, in setup
apps.populate(settings.INSTALLED_APPS)
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/django/apps/registry.py”, line 108, in populate
app_config.import_models()
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/thirdpart/django/apps/config.py”, line 202, in import_models
self.models_module = import_module(models_module_name)
File “/usr/lib/python3.5/importlib/init.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 986, in _gcd_import
File “”, line 969, in _find_and_load
File “”, line 958, in _find_and_load_unlocked
File “”, line 673, in _load_unlocked
File “”, line 673, in exec_module
File “”, line 222, in _call_with_frames_removed
File “/home/seafile/seafile-deployed/seafile-server-7.1.0/seahub/seahub/avatar/models.py”, line 26, in
import Image
ImportError: No module named ‘Image’

i have the same problem, but seahub doesnt start
!!!
!!! WARNING: configuration file should have a valid Python extension.
!!!

Error:Seahub failed to start.

Same error with module image

Same problem here with 7.1.0, !!! WARNING: configuration file should have a valid Python extension.

Why was this released if it does not work???

It’s a beta. So things are expected to break.

Have you tried to start with fastcgi as Christoph suggested above?

Hi tgunr,

It is customary for newcomers to, at first, watch the behavior of others, learn to tell acceptable apart from unacceptable behavior and contribute rather than complain.

On that note, welcome to the Seafile Community Forum. Hope your next posts will be more positive/value-adding than your first.

Regarding your question, Martin has said that needs to be said. I may add that it is sometimes helpful to read the title of a post.

Best
Ralf

I have a same error.

Traceback (most recent call last):
File “/data/haiwen/seafile-server-7.1.0/seahub/seahub/avatar/models.py”, line 23, in
from PIL import Image
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/PIL/Image.py”, line 90, in
from . import _imaging as core
ImportError: cannot import name ‘_imaging’ from ‘PIL’ (/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/PIL/init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/data/haiwen/seafile-server-7.1.0/seahub/manage.py”, line 10, in
execute_from_command_line(sys.argv)
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/django/core/management/init.py”, line 364, in execute_from_command_line
utility.execute()
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/django/core/management/init.py”, line 338, in execute
django.setup()
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/django/init.py”, line 27, in setup
apps.populate(settings.INSTALLED_APPS)
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/django/apps/registry.py”, line 108, in populate
app_config.import_models()
File “/data/haiwen/seafile-server-7.1.0/seahub/thirdpart/django/apps/config.py”, line 202, in import_models
self.models_module = import_module(models_module_name)
File “/usr/lib/python3.8/importlib/init.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 1014, in _gcd_import
File “”, line 991, in _find_and_load
File “”, line 975, in _find_and_load_unlocked
File “”, line 671, in _load_unlocked
File “”, line 783, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/data/haiwen/seafile-server-7.1.0/seahub/seahub/avatar/models.py”, line 26, in
import Image
ModuleNotFoundError: No module named ‘Image’

There’s already a fix announced for that in the 7.1.1 beta changelog.

@Martin yes, i realized right now as well. Thanx.

It will be nice if someone could report about the new 7.1.1 version.

Thanks to @ll for reporting

Any idea when 7.1.1 is available for download? The changelog page lists Dec 23rd as release but the download page still points to 7.1.0

1 Like

7.1.1 is ready now.

Please note you will need to install many Python packages manually if you upgrade from 7.1.0: https://download.seafile.com/published/seafile-manual/upgrade/upgrade_notes_for_7.1.x.md

This is for resolving different Python version compatibility issue.

Since Ubuntu already comes with python3 it would be nice to know what pieces we need and for what. I don’t like just installing everything that someone states. For example I don’t use ldap integration, so can I leave it away? And for many other things that are to be installed there is no information for what it is needed. I will dig myself through this issue but I’d rather have it explaned instead of me having to investigate every purpose.

Maybe I’m just different to most other admins, but I never just install stuff on my system without figuring out if there is any thing I can avoid installing and what each component is needed for.

Anyway: thanks for bringing us a nice product and keeping up development other the year.

Is this version now a non-beta?

Happy Christmas
Michael

4 Likes

Work fine, thanks…

seafile

7.1.1 does not work for me sadly. I had 7.0.5 CE installed and tried to update to 7.1.1. I followed to update guide.
First, the update script gave me an error because the section “fileserver” in conf/seafile.conf already existed. I deleted to section, after that the update script worked.
Then, I tried to start seahub but it wouldn’t start. After some debugging, I figured that I had to install python-memcache via pip3 additionally to all the packages mentioned in the upgrade notes.
Even after seahub started I could not access it (via my nginx RP). Nginx just showed a “Server hiccup” page (no matter which page was requested).
The Seahub log shows this after each request:

    2019-12-25 19:14:00,686 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /
    Traceback (most recent call last):
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/exception.py", line 41, in inner
        response = get_response(request)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 249, in _legacy_get_response
        response = self._get_response(request)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 187, in _get_response
        response = self.process_exception_by_middleware(e, request)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/core/handlers/base.py", line 185, in _get_response
        response = wrapped_callback(request, *callback_args, **callback_kwargs)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/seahub/auth/decorators.py", line 27, in _wrapped_view
        return view_func(request, *args, **kwargs)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/seahub/views/__init__.py", line 1146, in react_fake_view
        'custom_nav_items' : json.dumps(CUSTOM_NAV_ITEMS),
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/shortcuts.py", line 30, in render
        content = loader.render_to_string(template_name, context, request, using=using)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/template/loader.py", line 68, in render_to_string
        return template.render(context, request)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/template/backends/django.py", line 66, in render
        return self.template.render(context)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/template/base.py", line 205, in render
        with context.bind_template(self):
      File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__
        return next(self.gen)
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/thirdpart/django/template/context.py", line 263, in bind_template
        updates.update(processor(self.request))
      File "/home/seafile/haiwen/seafile-server-7.1.1/seahub/seahub/base/context_processors.py", line 64, in base
        if not file_server_root.endswith('/'):
    TypeError: endswith first arg must be bytes or a tuple of bytes, not str

Seems to be a bug. (?) Or did I do anything wrong?

I downgraded to 7.0.5 by running the minor_upgrade.sh script. Seems to work…

Levin